aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorS├ębastien Fabbro <sebfabbro@gmail.com>2011-08-04 22:05:46 +0100
committerS├ębastien Fabbro <sebfabbro@gmail.com>2011-08-04 22:05:46 +0100
commit4d51de421d7ef6263583ae9949814fdc45201ab6 (patch)
tree4eb810e89a24d3ebd2011dd961630013241e2662 /skel.ebuild
parentmanifest (diff)
downloadsci-4d51de421d7ef6263583ae9949814fdc45201ab6.tar.gz
sci-4d51de421d7ef6263583ae9949814fdc45201ab6.tar.bz2
sci-4d51de421d7ef6263583ae9949814fdc45201ab6.zip
updating skel files
Diffstat (limited to 'skel.ebuild')
-rw-r--r--skel.ebuild63
1 files changed, 40 insertions, 23 deletions
diff --git a/skel.ebuild b/skel.ebuild
index f7a353613..7c3273ced 100644
--- a/skel.ebuild
+++ b/skel.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2009 Gentoo Foundation
+# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $
@@ -12,23 +12,22 @@
# generated to contain the correct data.
# The EAPI variable tells the ebuild format in use.
-# Defaults to 0 if not specified. The current PMS draft contains details on
-# a proposed EAPI=0 definition but is not finalized yet.
-# Eclasses will test for this variable if they need to use EAPI > 0 features.
-# Ebuilds should not define EAPI > 0 unless they absolutely need to use
-# features added in that version.
-#EAPI=0
+# Defaults to 0 if not specified.
+# It is suggested that you the latest EAPI approved by the Council.
+# The PMS contains specifications for all EAPIs. Eclasses will test for this
+# variable if they need to use EAPI > 0 features.
+EAPI=4
# inherit lists eclasses to inherit functions from. Almost all ebuilds should
# inherit eutils, as a large amount of important functionality has been
-# moved there. For example, the $(get_libdir) mentioned below wont work
+# moved there. For example, the epatch call mentioned below wont work
# without the following line:
inherit eutils
# A well-used example of an eclass function that needs eutils is epatch. If
# your source needs patches applied, it's suggested to put your patch in the
# 'files' directory and use:
#
-# epatch ${FILESDIR}/patch-name-here
+# epatch "${FILESDIR}"/patch-name-here
#
# eclasses tend to list descriptions of how to use their functions properly.
# take a look at /usr/portage/eclasses/ for more examples.
@@ -43,6 +42,7 @@ HOMEPAGE="http://foo.bar.com/"
# Portage.
SRC_URI="ftp://foo.bar.com/${P}.tar.gz"
+
# License of the package. This must match the name of file(s) in
# /usr/portage/licenses/. For complex license combination see the developer
# docs on gentoo.org for details.
@@ -65,7 +65,7 @@ SLOT="0"
# instead of relying on an external package.mask file. Right now, you should
# set the KEYWORDS variable for every ebuild so that it contains the names of
# all the architectures with which the ebuild works. All of the official
-# architectures can be found in the keywords.desc file which is in
+# architectures can be found in the arch.list file which is in
# /usr/portage/profiles/. Usually you should just set this to "~x86". The ~
# in front of the architecture indicates that the package is new and should be
# considered unstable until testing proves its stability. So, if you've
@@ -89,6 +89,7 @@ IUSE="gnome X"
# for details. Usually not needed.
#RESTRICT="strip"
+
# Build-time dependencies, such as
# ssl? ( >=dev-libs/openssl-0.9.6b )
# >=dev-lang/perl-5.6.1-r1
@@ -96,7 +97,7 @@ IUSE="gnome X"
# had installed on your system when you tested the package. Then
# other users hopefully won't be caught without the right version of
# a dependency.
-DEPEND=""
+#DEPEND=""
# Run-time dependencies. Must be defined to whatever this depends on to run.
# The below is valid if the same run-time depends are required to compile.
@@ -108,10 +109,14 @@ RDEPEND="${DEPEND}"
# to keep it tidy.
#S="${WORKDIR}/${P}"
-src_compile() {
+
+# The following src_configure function is implemented as default by portage, so
+# you only need to call it if you need a different behaviour.
+# This function is available only in EAPI 2 and later.
+#src_configure() {
# Most open-source packages use GNU autoconf for configuration.
- # The quickest (and preferred) way of running configure is:
- econf || die "econf failed"
+ # The default, quickest (and preferred) way of running configure is:
+ #econf
#
# You could use something similar to the following lines to
# configure your package before compilation. The "|| die" portion
@@ -123,11 +128,18 @@ src_compile() {
# --host=${CHOST} \
# --prefix=/usr \
# --infodir=/usr/share/info \
- # --mandir=/usr/share/man || die "./configure failed"
+ # --mandir=/usr/share/man || die
# Note the use of --infodir and --mandir, above. This is to make
# this package FHS 2.2-compliant. For more information, see
# http://www.pathname.com/fhs/
-
+#}
+
+# The following src_compile function is implemented as default by portage, so
+# you only need to call it, if you need different behaviour.
+# For EAPI < 2 src_compile runs also commands currently present in
+# src_configure. Thus, if you're using an older EAPI, you need to copy them
+# to your src_compile and drop the src_configure function.
+#src_compile() {
# emake (previously known as pmake) is a script that calls the
# standard GNU make with parallel building options for speedier
# builds (especially on SMP systems). Try emake first. It might
@@ -135,15 +147,20 @@ src_compile() {
# related to parallelism, in these cases, use emake -j1 to limit
# make to a single process. The -j1 is a visual clue to others
# that the makefiles have bugs that have been worked around.
- emake || die "emake failed"
-}
-src_install() {
+ #emake || die
+#}
+
+# The following src_install function is implemented as default by portage, so
+# you only need to call it, if you need different behaviour.
+# For EAPI < 4 src_install is just returing true, so you need to always specify
+# this function in older EAPIs.
+#src_install() {
# You must *personally verify* that this trick doesn't install
# anything outside of DESTDIR; do this by reading and
# understanding the install part of the Makefiles.
# This is the preferred way to install.
- emake DESTDIR="${D}" install || die "emake install failed"
+ #emake DESTDIR="${D}" install || die
# When you hit a failure with emake, do not just use make. It is
# better to fix the Makefiles to allow proper parallelization.
@@ -159,11 +176,11 @@ src_install() {
# mandir="${D}"/usr/share/man \
# infodir="${D}"/usr/share/info \
# libdir="${D}"/usr/$(get_libdir) \
- # install || die "emake install failed"
+ # install || die
# Again, verify the Makefiles! We don't want anything falling
# outside of ${D}.
# The portage shortcut to the above command is simply:
#
- #einstall || die "einstall failed"
-}
+ #einstall || die
+#}